export class Stake {
  constructor({
    tokenId, position, amount, lockingTime,
  }) {
    this.tokenId = tokenId;
    this.position = position;
    this.amount = amount;
    this.lockingTime = lockingTime;
  }

  getStakeValue({ lockingTimeExponent } = {}) {
    return this.amount * this.lockingTime ** lockingTimeExponent;
  }
}
